Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84880 - XFree86 segfaults when running xine/mplayer
Summary: XFree86 segfaults when running xine/mplayer
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 9
Hardware: athlon
OS: Linux
medium
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-22 21:27 UTC by Brian Ashe
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-24 20:29:23 UTC


Attachments (Terms of Use)
Attachment of XF86Config and XFree86.1.log and xine/mplayer errors (deleted)
2003-02-23 05:07 UTC, Brian Ashe
no flags Details
Additional Comment (trying to add a comment does not work) (deleted)
2004-01-29 01:05 UTC, Joseph Miller
no flags Details

Description Brian Ashe 2003-02-22 21:27:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030206

Description of problem:
XFree86 crashes with...

Fatal server error:
Caught signal 11.  Server aborting

...every time an attempt is made to play any form of media file using either
xine or mplayer. Xine will also crash X if merely trying to open it.

The machine was upgraded from  version 8.0 to Phoebe. Previously, all of this
worked fine. It started once Phoebe was installed. The existing xine was from a
compiled version of 0.9.13 (libs and ui). Since XFree86 had changed I got the
most recent versions 0.9.18 (libs and ui) and the beta libs. It still
consistently crashed with a signal 11. I got the latest version of mplayer
(0.90rc4-3.2.1) to see if that would work and it too crashed in a similar
manner. The crash seems to come when it tries to start playback to the screen.

I normally run in KDE, but have tried Gnome and XFCE as well, all with the exact
same results.

The hardware is as follows...
AMD Athlon 650
512 MB RAM
Intel Express 3D (i740) Video
USB Wacom Intuos Tablet


Version-Release number of selected component (if applicable):
XFree86-4.2.99.901-20030213.0

How reproducible:
Always

Steps to Reproduce:
1.Install xine/mplayer
2.Run either
    

Actual Results:  X server dies with segfault

Expected Results:  Movie entertains me.

Additional info:

Comment 1 Mike Chambers 2003-02-23 04:22:33 UTC
Please attach/post your XFree config file and log file (text only please).  
Also might help if you could produce a text file of the errors you get when you 
play them.

Comment 2 Brian Ashe 2003-02-23 05:07:22 UTC
Created attachment 90285 [details]
Attachment of XF86Config and XFree86.1.log and xine/mplayer errors

I put everything in one file with begin and end seperators.

Comment 3 Joseph Miller 2004-01-29 01:05:25 UTC
Created attachment 97320 [details]
Additional Comment (trying to add a comment does not work)

This exact same behaviour also occurs on my friend's machine which was
installed from scratch with RedHat 9, with Xine and MPlayer installed from both
rpms and source, X crashes.
 
His system is:
Intel i740 graphics card
160MB RAM
PIII 400MHz proc

Comment 4 Mike A. Harris 2004-02-01 07:16:25 UTC
According to the log file, this is an i740 driver bug in my opinion.
It will most likely require a sit-down debug session on real hardware
in order to figure out what is wrong, and by using the same software
you're using.

I recommend to report this issue directly to XFree86.org in their
bugzilla database at http://bugs.xfree86.org so that the upstream
driver maintainer is aware of the issue, and it gets much wider
cross-distribution exposure.  That will increase the chance that
someone can investigate it and fix it sooner.

While I do have an i740, the i740 hardware was never that popular,
and the number of people using it nowadays is likely very small.
The number of those who encounter this problem is likely much
smaller than that.  I can't really commit resources to this myself
when there are so many higher priority bugs open in our bugzilla
that affect many more users, so the best bet all around is to report
this upstream.

If you do report it upstream, paste the URL here, and if a fix
becomes available from upstream, I will have a look at it and
possibly integrate it.





Comment 5 Mike A. Harris 2004-09-24 20:29:23 UTC
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  We
encourage you to upgrade to the latest version of Fedora Core
(http://fedora.redhat.com).

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.



Note You need to log in before you can comment on or make changes to this bug.